/* Scss Document */
/* mixin
*********************************************************************/
/* media query */
.area_drawer {
  display: none;
  z-index: 9999;
  position: relative; }
  @media all and (max-width: 769px) {
    .area_drawer {
      display: block; } }

/* drawer menu */
.drawer-menu {
  box-sizing: border-box;
  position: fixed;
  overflow: scroll;
  top: 0;
  right: 0;
  width: 300px;
  height: 100%;
  padding: 80px 0;
  background: #222;
  -webkit-transition-property: all;
  transition-property: all;
  -webkit-transition-duration: .5s;
  transition-duration: .5s;
  -webkit-transition-delay: 0s;
  transition-delay: 0s;
  -webkit-transform-origin: right center;
  -ms-transform-origin: right center;
  transform-origin: right center;
  -webkit-transform: perspective(500px) rotateY(-90deg);
  transform: perspective(500px) rotateY(-90deg);
  opacity: 0; }
  .drawer-menu .btn_reserve {
    padding: 10px;
    margin: 10px 0 0; }
    .drawer-menu .btn_reserve a {
      display: block;
      font-size: 2rem;
      line-height: 1.3em;
      padding: 8px 24px;
      background-image: url("../images/bg_reserve.png");
      color: #FFF;
      font-weight: 700;
      white-space: nowrap;
      text-align: center; }

.drawer-menu li {
  text-align: center; }

.drawer-menu li a {
  display: block;
  height: 50px;
  line-height: 50px;
  font-size: 14px;
  color: #fff;
  -webkit-transition: all .8s;
  transition: all .8s; }

.drawer-menu li a:hover {
  color: #1a1e24;
  background: #fff; }

/* checkbox */
.check {
  display: none; }

/* menu button - label tag */
.menu-btn {
  position: fixed;
  display: block;
  top: 20px;
  right: 20px;
  display: block;
  width: 40px;
  height: 40px;
  font-size: 10px;
  text-align: center;
  cursor: pointer;
  z-index: 3; }

.bar {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 40px;
  height: 2px;
  background: #fff;
  -webkit-transition: all .5s;
  transition: all .5s;
  -webkit-transform-origin: left top;
  -ms-transform-origin: left top;
  transform-origin: left top; }

.bar.middle {
  top: 15px;
  opacity: 1; }

.bar.bottom {
  top: 30px;
  -webkit-transform-origin: left bottom;
  -ms-transform-origin: left bottom;
  transform-origin: left bottom; }

.menu-btn__text {
  position: absolute;
  bottom: -15px;
  left: 0;
  right: 0;
  margin: auto;
  color: #fff;
  -webkit-transition: all .5s;
  transition: all .5s;
  display: block;
  visibility: visible;
  opacity: 1; }

.menu-btn:hover .bar {
  background: #999; }

.menu-btn:hover .menu-btn__text {
  color: #999; }

.close-menu {
  position: fixed;
  top: 0;
  right: 300px;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0);
  cursor: url(http://theorthodoxworks.com/demo/images/cross.svg), auto;
  -webkit-transition-property: all;
  transition-property: all;
  -webkit-transition-duration: .3s;
  transition-duration: .3s;
  -webkit-transition-delay: 0s;
  transition-delay: 0s;
  visibility: hidden;
  opacity: 0; }

/* checked */
.check:checked ~ .drawer-menu {
  -webkit-transition-delay: .3s;
  transition-delay: .3s;
  -webkit-transform: none;
  -ms-transform: none;
  transform: none;
  opacity: 1;
  z-index: 2; }

.check:checked ~ .menu-btn .menu-btn__text {
  visibility: hidden;
  opacity: 0; }

.check:checked ~ .menu-btn .bar.top {
  width: 56px;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg); }

.check:checked ~ .menu-btn .bar.middle {
  opacity: 0; }

.check:checked ~ .menu-btn .bar.bottom {
  width: 56px;
  top: 40px;
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg); }

.check:checked ~ .close-menu {
  -webkit-transition-duration: 1s;
  transition-duration: 1s;
  -webkit-transition-delay: .3s;
  transition-delay: .3s;
  background: rgba(0, 0, 0, 0.5);
  visibility: visible;
  opacity: 1;
  z-index: 3; }

.footer_nav {
  display: none; }
  .footer_nav ul {
    padding: 5px;
    display: flex;
    justify-content: space-between; }
    .footer_nav ul li {
      width: auto;
      text-align: center;
      background-color: rgba(255, 255, 255, 0.5); }
      .footer_nav ul li.medium {
        width: 22%; }
      .footer_nav ul li.large {
        width: 55%; }
      .footer_nav ul li a {
        height: 36px;
        padding: 5px 0;
        display: block; }
        .footer_nav ul li a img {
          height: 100%;
          width: auto; }
  @media all and (max-width: 769px) {
    .footer_nav {
      display: block;
      width: 100%;
      position: fixed;
      bottom: 0px;
      background-color: rgba(255, 255, 255, 0.5); } }
